Update the credit end date
curl --request POST \
--url https://api.metronome.com/v1/contracts/customerCredits/updateEndDate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"credit_id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85",
"access_ending_before": "2020-01-01T00:00:00.000Z"
}
'import requests
url = "https://api.metronome.com/v1/contracts/customerCredits/updateEndDate"
payload = {
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"credit_id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85",
"access_ending_before": "2020-01-01T00:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '13117714-3f05-48e5-a6e9-a66093f13b4d',
credit_id: '6162d87b-e5db-4a33-b7f2-76ce6ead4e85',
access_ending_before: '2020-01-01T00:00:00.000Z'
})
};
fetch('https://api.metronome.com/v1/contracts/customerCredits/updateEndDate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Credits and commits
Update the credit end date
Shortens the end date of an existing customer credit to terminate it earlier than originally scheduled. Only allows moving end dates forward (earlier), not extending them.
Note: To extend credit end dates or make comprehensive edits, use the ‘edit credit’ endpoint instead.
POST
/
v1
/
contracts
/
customerCredits
/
updateEndDate
Update the credit end date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Update the access end date of a credit
ID of the customer whose credit is to be updated
ID of the commit to update
RFC 3339 timestamp indicating when access to the credit will end and it will no longer be possible to draw it down (exclusive).
Response
Success
Show child attributes
Show child attributes
⌘I